import { z, ZodFunction, ZodObject, ZodRawShape } from 'zod'

const importPath = '../test_module'

const mod = await import(importPath)
const exportNamesByItem = new Map(Object.entries(mod).map(([name, item]) => [item, name]))

interface Generator {
    
}

for (const item of Object.values(mod)) {
    if (item instanceof ZodObject) {
        const isService = Object.values(item.shape).every(item => item instanceof ZodFunction);
        console.log(isService)
    }
    console.log('item name', exportNamesByItem.get(item))
}
