import { Schema, z, ZodType } from 'zod'


// function iteratorReturnResult<T>(schema: Schema<T>) {
//     return z.union([
//         z.object({ done: z.literal(true), value })
//     ])
// }

const streams = new WeakSet()

export function stream<T>(schema: Schema<T>) {
    return z.object({
        next: z.promise(schema)
    })
}
